<?php
session_start();
  require("config.php");
  // o usuĂĄrio estĂĄ logado?
  if(!isset($_SESSION["id_usuario_logado"])){
    header("Location: login.php");
    exit;
  }

// tem permissão para alterar?
if(!Permissao::podeAlterar($_SESSION["nivel_acesso"])){
  header("Location: erro_permissao.php");
  exit;  
}
// fim permissão para alterar

$id_usuario_logado = $_SESSION["id_usuario_logado"];
$id_forma = tratar_entrada(utf8_decode(trim($_POST["id_forma_pagamento_recebimento"])));
$tipo = tratar_entrada(utf8_decode(trim($_POST["tipo"])));
$nome = tratar_entrada(utf8_decode(trim($_POST["nome"])));
$descricao = tratar_entrada(utf8_decode(trim($_POST["descricao"])));

   $result = mysqli_query($conexao, "UPDATE formas_pagamento_recebimento SET nome = '$nome', obs = '$descricao'
	  WHERE id = '$id_forma'");
 
  if($result){
	  
	  // vamos registrar esse log
  $ip = getUserIpAddr();
  $id_usuario_logado = $_SESSION["id_usuario_logado"];
  $usuario_logado = $_SESSION["usuario_logado"];
  $texto_log = 'O usuario ' . $usuario_logado . ' atualizou a Forma de ' . (($tipo == "1") ? 'Pagamento ' : 'Recebimento ') . $nome . '.';
  $result_2 = mysqli_query($conexao, "INSERT into logs values (null, '$id_usuario_logado', '$texto_log', 
    NOW(), '$usuario_logado', '$ip')");
  // fim registrar o log 
	  
	 header("Location: forma_pagamento_recebimento.php?tipo=$tipo&forma=$id_forma&sucesso=ok");
     exit; 
  }
  else{
	$_SESSION["erro_banco_dados"] = "Houve um erro no cadastro de formas de pagamento e recebimento.<br><br>Erro: " . mysqli_error($conexao);
  header("Location: erro_banco_dados.php");
  exit;  
  }
?>
